package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiInspectTaskItem;

/**
 * 巡查任务项 数据层
 */
@Mapper
public interface TBusiInspectTaskItemMapper {

    TBusiInspectTaskItem selectTBusiInspectTaskItemByGuid(String guid);

    List<TBusiInspectTaskItem> selectTBusiInspectTaskItemList(TBusiInspectTaskItem tBusiInspectTaskItem);

    int insertTBusiInspectTaskItem(TBusiInspectTaskItem tBusiInspectTaskItem);

    int updateTBusiInspectTaskItem(TBusiInspectTaskItem tBusiInspectTaskItem);

    int deleteTBusiInspectTaskItemByGuid(String guid);

    int deleteTBusiInspectTaskItemByGuids(String[] guids);
}
